using System;
namespace System.Model
{
	/// <summary>
	///  订单金额支付记录表
	/// </summary>
	[Serializable]
	public partial class T_Bus_OrderMoney
	{
		public T_Bus_OrderMoney()
		{ }
		#region Model
		private string _f_id;
		private decimal _f_money = 0M;
		private DateTime _f_paytime;
		private string _f_payuser="";
		private string _f_paytype = "";
		private string _f_remarkxs = "";
		private string _f_remarkkf = "";
		private DateTime _f_addtime=DateTime.Now;
		private int _f_adduserid;
		private string _f_username;
		private int _f_checkuserid;
		private DateTime? _f_checktime;
		private string _f_checkusername = "";
		private decimal _f_moneybak;
		private int _f_state = 0;
		private string _f_orderid="";
		/// <summary>
		/// 
		/// </summary>
		public string F_Id
		{
			set { _f_id = value; }
			get { return _f_id; }
		}
		/// <summary>
		/// 最终实际金额
		/// </summary>
		public decimal F_Money
		{
			set { _f_money = value; }
			get { return _f_money; }
		}
		/// <summary>
		/// 打款时间
		/// </summary>
		public DateTime F_PayTime
		{
			set { _f_paytime = value; }
			get { return _f_paytime; }
		}
		/// <summary>
		/// 打款人姓名
		/// </summary>
		public string F_PayUser
		{
			set { _f_payuser = value; }
			get { return _f_payuser; }
		}
		/// <summary>
		/// 打款方式
		/// </summary>
		public string F_PayType
		{
			set { _f_paytype = value; }
			get { return _f_paytype; }
		}
		/// <summary>
		/// 销售备注
		/// </summary>
		public string F_RemarkXS
		{
			set { _f_remarkxs = value; }
			get { return _f_remarkxs; }
		}
		/// <summary>
		/// 客服备注
		/// </summary>
		public string F_RemarkKF
		{
			set { _f_remarkkf = value; }
			get { return _f_remarkkf; }
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_AddUserId
		{
			set { _f_adduserid = value; }
			get { return _f_adduserid; }
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_UserName
		{
			set { _f_username = value; }
			get { return _f_username; }
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_CheckUserId
		{
			set { _f_checkuserid = value; }
			get { return _f_checkuserid; }
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_CheckTime
		{
			set { _f_checktime = value; }
			get { return _f_checktime; }
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CheckUserName
		{
			set { _f_checkusername = value; }
			get { return _f_checkusername; }
		}
		/// <summary>
		/// 销售申请金额
		/// </summary>
		public decimal F_MoneyBak
		{
			set { _f_moneybak = value; }
			get { return _f_moneybak; }
		}
		/// <summary>
		/// 0待审核1款到账2未到账（需要销售重新提交申请）
		/// </summary>
		public int F_State
		{
			set { _f_state = value; }
			get { return _f_state; }
		}
		/// <summary>
		/// 订单ID
		/// </summary>
		public string F_OrderId
		{
			set { _f_orderid = value; }
			get { return _f_orderid; }
		}
		#endregion Model

	}
}

